Bug 98635 - AltGr and Alt not working together in XFree86
AltGr and Alt not working together in XFree86
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-07-06 05:42 EDT by Ilpo Nyyssonen
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ilpo Nyyssonen 2003-07-06 05:42:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Pressing AltGr and Alt together in XFree86 causes Alt to stay pressed and is
released after pressing Alt again. This is caused by missing release event. This
also happens with left and right ctrl together.

The bug seems to have appeared in kernel-2.4.20-18.7 and in standard kernel

I first noticed this with the standard kernel, but later noticed the same
behaviour in the redhat kernel too (in different machine).

With standard kernel I was able to fix the bug by commenting out an if in
drivers/char/keyboard.c handle_scancode and leaving the else block contents.

The if is probably a workaround for something other, but as it is, it causes an
annoying bug when using key-combinations that include both alt and altgr. (And I
use those in XEmacs.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Press Alt
2. Prsss AltGr
3. Release AltGr
4. Release Alt

Actual Results:  Alt appears to be pressed. Pressing and releasing alt releases
the lock.

Expected Results:  Alt should not be pressed after that.

Additional info:

I have Finnish keyboard and layout.
Comment 1 Ilpo Nyyssonen 2003-07-14 06:00:52 EDT
Also happens with kernel-2.4.20-18.9 in Red Hat 9.
Comment 2 Bugzilla owner 2004-09-30 11:41:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.